<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Service extends Model {
    use HasFactory;
    public $timestamps = false;
	protected $guarded = [];
    public function category() {
    	return $this->belongsTo('App\Models\ServiceCategory', 'category_id'); 
    }
    public function provider() {
    	return $this->belongsTo('App\Models\ServiceProvider', 'provider_id'); 
    }
	public function favorite() {
    	return $this->hasOne('App\Models\ServiceFavorite');
	}
	public function custom_price() {
    	return $this->hasMany('App\Models\CustomPrice');
	}
    public function service_log() {
    	return $this->hasMany('App\Models\ServiceLog'); 
    }
    public function order() {
    	return $this->hasMany('App\Models\Order'); 
    }
    public function order_refill() {
    	return $this->hasMany('App\Models\OrderRefill'); 
    }
}
